commit:     291cdb117b65599d5fc6fa9971c55b3b3b8191f7
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Mon Nov 10 01:24:40 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 12 09:40:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=291cdb11

dev-python/sympy: enable py3.14

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/44560
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/sympy/sympy-1.14.0-r2.ebuild | 88 +++++++++++++++++++++++++++++++++
 1 file changed, 88 insertions(+)

diff --git a/dev-python/sympy/sympy-1.14.0-r2.ebuild 
b/dev-python/sympy/sympy-1.14.0-r2.ebuild
new file mode 100644
index 000000000000..92f85e959b27
--- /dev/null
+++ b/dev-python/sympy/sympy-1.14.0-r2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Computer Algebra System in pure Python"
+HOMEPAGE="
+       https://www.sympy.org/
+       https://github.com/sympy/sympy/
+       https://pypi.org/project/sympy/
+"
+# pypi sdist misses some files, notably top-level conftest.py, as of 1.12.1_rc1
+SRC_URI="
+       https://github.com/sympy/sympy/archive/${PV/_/}.tar.gz
+               -> ${P/_/}.gh.tar.gz
+"
+S=${WORKDIR}/${P/_/}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos"
+IUSE="imaging ipython latex mathml pdf png pyglet symengine"
+
+RDEPEND="
+       >=dev-python/mpmath-1.1.0[${PYTHON_USEDEP}]
+       imaging? ( dev-python/pillow[${PYTHON_USEDEP}] )
+       ipython? (
+               dev-python/ipython[${PYTHON_USEDEP}]
+       )
+       latex? (
+               virtual/latex-base
+               dev-texlive/texlive-fontsextra
+               png? ( app-text/dvipng )
+               pdf? ( app-text/ghostscript-gpl )
+       )
+       mathml? ( dev-python/lxml[${PYTHON_USEDEP}] )
+       pyglet? ( dev-python/pyglet[${PYTHON_USEDEP}] )
+       symengine? ( dev-python/symengine[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+       test? (
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_DESELECT=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # fix the version number
+       sed -i -e "/__version__/s:\".*\":\"${PV}\":" sympy/release.py || die
+}
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # require old version of antlr4, also deprecated
+               # https://github.com/sympy/sympy/issues/27026
+               sympy/parsing/tests/test_autolev.py
+               sympy/parsing/tests/test_latex.py
+
+               # Deprecation warnings turned failures
+               # https://github.com/sympy/sympy/pull/28158
+               sympy/geometry/tests/test_polygon.py::test_do_poly_distance
+               sympy/plotting/tests/test_plot.py::test_plot_and_save_6
+               
sympy/integrals/tests/test_integrals.py::test_integrate_poly_definite
+       )
+
+       nonfatal epytest --veryquickcheck ||
+               die -n "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       local DOCS=( AUTHORS README.md )
+
+       distutils-r1_python_install_all
+}

Reply via email to